import fetch from "flumm-fetch-cookies";

const regex = /<tr><td width=\"110\"><div class=\"(btn btn-primary tooltip)?\">(<div class=\"top\">.*<\/div>)?(?<region>.*)<\/div><\/td><td>(?<name>.*)<\/td>.*<b>(?<percent>.*)<\/b>/gm;

export default async bot => {
  
  return [{
    name: "fw_shops",
    call: /^(\.|\/)fwshop/i,
    active: true,
    f: async e => {
      const shopsite = await (await fetch("https://freewar.zocker.eu/")).text();

      const shops = [...shopsite.matchAll(regex)].map(e => {
        const [ name, tmp ] = e.groups.name.split(/\<.*\>/);
        const [ x, y ] = tmp.split("/");

        return {
          region: e.groups.region.replace(/\<.*/m, ""),
          name: name,
          coords: {
            x: +x,
            y: +y
          },
          percent: e.groups.percent
        };
      });

      e.reply([
        "Die besten drei Shops:",
        JSON.stringify(shops.slice(0, 3))
      ]);
    }
  }];
};
